Skip to main content
POST
/
api
/
v1
/
subscriptions
/
{id}
/
migrate
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const subscription = await client.v1.subscriptions.migrate('x');

console.log(subscription.data);
import os
from stigg import Stigg

client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
subscription = client.v1.subscriptions.migrate(
id="x",
)
print(subscription.data)
package main

import (
"context"
"fmt"

"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)

func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
subscription, err := client.V1.Subscriptions.Migrate(
context.TODO(),
"x",
stigg.V1SubscriptionMigrateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", subscription.Data)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.Subscription;
import io.stigg.models.v1.subscriptions.SubscriptionMigrateParams;

public final class Main {
private Main() {}

public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();

Subscription subscription = client.v1().subscriptions().migrate("x");
}
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

subscription = stigg.v1.subscriptions.migrate("x")

puts(subscription)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions;

StiggClient client = new();

SubscriptionMigrateParams parameters = new() { ID = "x" };

var subscription = await client.V1.Subscriptions.Migrate(parameters);

Console.WriteLine(subscription);
stigg v1:subscriptions migrate \
--api-key 'My API Key' \
--id x
curl --request POST \
--url https://api.stigg.io/api/v1/subscriptions/{id}/migrate \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '{}'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/subscriptions/{id}/migrate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([

]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "data": {
    "id": "<string>",
    "customerId": "<string>",
    "billingId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "startDate": "2023-11-07T05:31:56Z",
    "planId": "<string>",
    "payingCustomerId": "<string>",
    "resourceId": "<string>",
    "endDate": "2023-11-07T05:31:56Z",
    "effectiveEndDate": "2023-11-07T05:31:56Z",
    "cancellationDate": "2023-11-07T05:31:56Z",
    "trialEndDate": "2023-11-07T05:31:56Z",
    "metadata": {},
    "currentBillingPeriodStart": "2023-11-07T05:31:56Z",
    "currentBillingPeriodEnd": "2023-11-07T05:31:56Z",
    "billingCycleAnchor": "2023-11-07T05:31:56Z",
    "prices": [],
    "addons": [],
    "coupons": [],
    "futureUpdates": [],
    "budget": {
      "limit": 123,
      "hasSoftLimit": true
    },
    "minimumSpend": {
      "amount": 123
    },
    "subscriptionEntitlements": [],
    "latestInvoice": {
      "billingId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "requiresAction": true,
      "total": 123,
      "amountDue": 123,
      "currency": "<string>",
      "pdfUrl": "<string>"
    },
    "trial": {}
  }
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "Unauthenticated"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Migrate a subscription to the latest version of its plan or add-on. This updates pricing, entitlements, and features to match the currently published version while maintaining the subscription continuity.

subscriptionMigrationTime
enum<string>

When to migrate (immediate or period end)

Available options:
END_OF_BILLING_PERIOD,
IMMEDIATE

Response

The migrated subscription object.

Response object

data
Subscription · object
required

Customer subscription to a plan